Bug 167945 - [patch] textproc/libexttextcat - make it a replacement for textproc/libtextcat
Summary: [patch] textproc/libexttextcat - make it a replacement for textproc/libtextcat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-16 03:40 UTC by Peter Jeremy
Modified: 2012-05-19 00:22 UTC (History)
0 users

See Also:


Attachments
file.diff (2.44 KB, patch)
2012-05-16 03:40 UTC, Peter Jeremy
no flags Details | Diff
file.diff (709 bytes, patch)
2012-05-16 03:40 UTC, Peter Jeremy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Jeremy 2012-05-16 03:40:01 UTC
	libexttextcat is a fork of libtextcat that provides additional
	capabilities needed by LibreOffice.  Whilst libexttextcat appears
	to provide a superset of libtextcat functionality, it mostly uses
	different file names so libexttextcat is not a drop-in replacement
	for libtextcat.  Unfortunately, both ports install bin/createfp so
	they are marked conflicting.  This makes it impossible to install
	both editors/libreoffice and ports depending on libtextcat (eg
	editors/openoffice-3).

Fix: The following patch optionally adds symlinks from the libexttextcat
	files to their equivalent libtextcat names.  As a side-benefit,
	it also correctly installs the LICENSE file, misc documentation
	(as done by libtextcat) anhd adds support for the "make check"
	target (this latter needs a Makefile patch to remove a dependency
	on bash - mhich should be installed in the files directory).

	The approach of renaming the files was tested by compiling
	editors/openoffice-3.  The resultant executable was able to
	open files, export files and print normally.

	Note that this patch is against libexttextcat-3.2.0_1 as I
	don't currently have access to libexttextcat-3.2.0_2.  As far
	as I can see, the patches should still apply, though with some
	fuzz.
How-To-Repeat: 	Try to install both editors/libreoffice and editors/openoffice-3
Comment 1 Edwin Groothuis freebsd_committer 2012-05-16 03:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Peter Jeremy 2012-05-16 03:51:47 UTC
I've just realised that I attached the wrong version of the patch to
Makefile (the one from before I was aware of libexttextcat-3.2.0_2).

I will provide an updated patch once I have libexttextcat-3.2.0_2
(or on request).

-- 
Peter Jeremy
Comment 3 dfilter service freebsd_committer 2012-05-19 00:11:00 UTC
bapt        2012-05-18 23:10:51 UTC

  FreeBSD ports repository

  Modified files:
    textproc/libexttextcat Makefile pkg-plist 
  Added files:
    textproc/libexttextcat/files patch-src__Makefile.in 
  Log:
  - add an OPTION to allow libexttextcat to be a dropin replacement for libtextcat
  - add a check target to all runinng libexttextcat check
  
  PR:             ports/167945
  Submitted by:   Peter Jeremy <peter@rulingia.com>
  
  Revision  Changes    Path
  1.4       +35 -0     ports/textproc/libexttextcat/Makefile
  1.1       +20 -0     ports/textproc/libexttextcat/files/patch-src__Makefile.in (new)
  1.5       +6 -0      ports/textproc/libexttextcat/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2012-05-19 00:22:07 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!